/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package core;

import java.awt.Dimension;
import java.awt.Graphics2D;
import java.awt.Insets;

/**
 * The interface which the GameSwitcher implements.
 */
public interface GameSwitcherInterface extends GameManagerInterface {
	public void paintPanel(Graphics2D g2, Insets i, Dimension d);

	/**
	 * returns a list of the titles of the level collection
	 */
	String[] get_levelCollectionTitles();

	/**
	 * Informs the game panel that the selected game has changed
	 */
	void action_changeGame(int i);

	void action_openFile();

	void action_openDefaults();
}
