/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package file;

/**
 * Exception thrown when parsing a level
 */
public class LevelParseException extends Exception {
	private int line;
	private int line_from_end;
	//private String message;

	/*
	 * LevelParseException(String m) { super(m); line = -1; line_from_end = -1;
	 * message = m; }
	 * 
	 * LevelParseException(String m, int l) { super(m); line = l; line_from_end =
	 * -1; message = m; }
	 */

	/**
	 * l + b should equal the height of the level
	 */
	public LevelParseException(String m, int l, int b) {
		super(m);
		line = l;
		line_from_end = b;
	}

	int getLine() {
		return line;
	}

	int getLineFromEndOfLevel() {
		return line_from_end;
	}
}
