/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package globals;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

import javax.swing.JApplet;

/**
 * Provides access to the applet context through the Settings interface.
 */
public class AppletSettings implements Settings {
	private JApplet applet;

	AppletSettings(JApplet a) {
		applet = a;
	}

	public String getProperty(String key) {
		return applet.getParameter(key);
	}

	public String getProperty(String key, String deflt) {
		String val = applet.getParameter(key);
		if (val != null)
			return val;
		else
			return deflt;
	}
	
	public Object setProperty(String key, String value) {
		return null;
	}
	
	public void load(InputStream inStream) throws IOException {
	}

	public void store(OutputStream out, String header) throws IOException {		
	}
}