/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package level;

import tessellation.Direction;
import tessellation.Position;


/**
 * The floor is a unit object which may contain floor elements such as
 * blocking tiles and goals.
 * FIXME Reconsider having floor separate to the rest of the level.
 */
public abstract class Floor extends UnitObject {
	Floor() {
		unit_paint = new UnitPaint_Floor(0);
	}

	/**
	 * Returns the resistance to moving the unit u at position pos in direction
	 * dir.
	 */
	double resistance(char u, Position pos, Direction dir) {
		if ((u == Unit.block) && (at(pos.neighbour(dir)) == Unit.noBlocks))
			return Resistance.immovable;
		else if ((u == Unit.person)
				&& (at(pos.neighbour(dir)) == Unit.noPeople))
			return Resistance.immovable;
		else
			return Resistance.none;
	}
}
