/* The MazezaM Engine 
 * Copyright (C) 2002-2008 Malcolm Tyrrell
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package sokoban;

import file.LevelParser;
import globals.Constants;
import tessellation.Tessellation;
import core.GameInfo;

/**
 * A GameFactory for Sokoban.
 */
public class SokobanFactory extends ObanFactory {
	static final GameInfo game_info = new GameInfo("Sokoban", "Thinking Rabbit, Inc.", "1982",
			Constants.text_applicationAuthorName, "2004, 2008",
			Constants.text_applicationAuthorEmail, help,
			Tessellation.SQUARE);

	public LevelParser newLevelParser() {
		return new XsbLevelParser();
	}

	public GameInfo newGameInfo() {
		return game_info;
	}
}